package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.GzhDatastatListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.QwDatastatListParam;
import com.tzld.piaoquan.api.model.vo.contentplatform.GzhDatastatItemVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.QwDatastatItemVO;
import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.List;

public interface ContentPlatformDatastatService {
    Page<GzhDatastatItemVO> gzhDatastatList(GzhDatastatListParam param);

    Page<QwDatastatItemVO> qwDatastatList(QwDatastatListParam param);

    String gzhDatastatExport(GzhDatastatListParam param);

    String qwDatastatExport(QwDatastatListParam param);
}
